<template>
    <div class="requirement">
        <div class="requirement__title">{{ data.title }}</div>
        <div class="requirements__parts" contenteditable="true" data-gramm="false" spellcheck="false" data-gramm_editor="false" data-enable-grammarly="false">
            <qra-requirement-part :part="part" v-for="(part, i) in data.parts" :key="i" />
        </div>
    </div>
</template>

<script>
export default {
    props: ['data']
}
</script>

<style lang="scss">
.requirement {
    padding: 20px 30px;
    + .requirement {
        border-top: 1px solid #eee;
    }
    &__title {
        position: absolute;
        right: 110%;
        right: calc(100% + 20px);
        font-weight: 700;
        top: 22px;
    }
    [contenteditable]:focus {
        outline: 0px solid transparent;
        border: 0px;
        box-shadow: none;
    }
    &__parts {
        outline: none;
    }

    &:hover {
        background-color: rgba(blue, .03);
    }
}
</style>